create sequence hibernate_sequence start with 1 increment by 1;
create table adjustment_entity (id bigint not null, date timestamp, user_id bigint not null, primary key (id));
create table adjustment_entry_entity (id bigint not null, quantity integer, adjustment_id bigint not null, product_id bigint not null, primary key (id));
create table category_entity (id bigint not null, name varchar(255), primary key (id));
create table product_archive_entity (id bigint not null, date timestamp, description varchar(255), name varchar(255), price integer, user_id bigint not null, primary key (id));
create table product_entity (id bigint not null, description varchar(255), name varchar(255), price integer, quantity integer, category_id bigint, primary key (id));
create table purchase_entry_entity (id bigint not null, quantity integer, product_id bigint not null, purchase_order_id bigint not null, primary key (id));
create table purchase_order_entity (id bigint not null, date timestamp, user_id bigint not null, vendor_id bigint not null, primary key (id));
create table sales_entry_entity (id bigint not null, quantity integer, product_id bigint not null, sales_order_id bigint not null, primary key (id));
create table sales_order_entity (id bigint not null, date timestamp, user_id bigint not null, primary key (id));
create table user_entity (id bigint not null, email varchar(255), name varchar(255), password varchar(255), role varchar(255), primary key (id));
create table vendor_entity (id bigint not null, address varchar(255), name varchar(255), primary key (id));
alter table user_entity add constraint UK_4xad1enskw4j1t2866f7sodrx unique (email);
alter table adjustment_entity add constraint FK8waofyh8umx2858mimv8b5v01 foreign key (user_id) references user_entity;
alter table adjustment_entry_entity add constraint FKjn6jhcl3w28r6f6trfl2a7hcg foreign key (adjustment_id) references adjustment_entity;
alter table adjustment_entry_entity add constraint FKg4ih8rtawrptaclc2l868bdyo foreign key (product_id) references product_entity;
alter table product_archive_entity add constraint FKd1ysnkev7xj4t2x2jamolq160 foreign key (user_id) references user_entity;
alter table product_entity add constraint FK8kxxmqdokh3lthvw0t148w0bc foreign key (category_id) references category_entity;
alter table purchase_entry_entity add constraint FK954t70c3rakqtv3mbgp1e0dm3 foreign key (product_id) references product_entity;
alter table purchase_entry_entity add constraint FKkisfg1t1jk6546pou7dijgngo foreign key (purchase_order_id) references purchase_order_entity;
alter table purchase_order_entity add constraint FK7n3eyw3oxy1x2twp06wmaylrg foreign key (user_id) references user_entity;
alter table purchase_order_entity add constraint FKcpworncayojg2gr2gybm9uuoi foreign key (vendor_id) references vendor_entity;
alter table sales_entry_entity add constraint FKi85e9g7v3kget4uee445imq3d foreign key (product_id) references product_entity;
alter table sales_entry_entity add constraint FK5x4dhm8xmv8oa88sjye2xnfcw foreign key (sales_order_id) references sales_order_entity;
alter table sales_order_entity add constraint FKt9nt5a4mgpp109k30kfswonty foreign key (user_id) references user_entity;
